# -*- coding=utf8 -*-
#******************************************************************************
# addon.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************
import sys
import urllib
import xbmcgui
import xbmcaddon
import xbmcplugin

from resources.lib.PlxParser import PlxParser

class JohnWayne(object):
    
    PLUGIN_NAME = "plugin.video.john_wayne"

    _plugin_id = None
    _addon     = None
    _playlist  = None
    _player    = None
    
    def __init__(self):
        self._register_addon()
        self._read_settings()
        self._process_request()
        
    def _register_addon(self):
        self._plugin_id = int(sys.argv[1])
        self._addon = xbmcaddon.Addon(id = self.PLUGIN_NAME)

    def _read_settings(self):
        self._playlist = "%s/playlist/Playlist.plx" % self._addon.getAddonInfo("path")
        self._player = xbmcplugin.getSetting(self._plugin_id, "player") 

    def _process_request(self):
        data = urllib.urlopen(self._playlist).readlines()
        plx = PlxParser()
        for (title, thumb, url) in plx.get_movie_list(data):
            xbmcplugin.addDirectoryItem(self._plugin_id, url, self._get_item(title, thumb))
        xbmcplugin.endOfDirectory(self._plugin_id)

    def _get_item(self, title, thumb):
        item = xbmcgui.ListItem(title, iconImage=thumb)
        item.setProperty("IsPlayable", "true")
        return item
            
if __name__ == "__main__":
    JohnWayne()
                