# -*- coding=utf8 -*-
#******************************************************************************
# PlxParser.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************
import HTMLParser

class PlxParser(object):

    _HTMLParser = HTMLParser.HTMLParser()

    def get_movie_list(self, data):
        result = []
        in_data_block = False
        name = thumb = url = ""
        for line in data:
            in_data_block = self._check_if_in_data_block(in_data_block, line)
            if in_data_block:
                if line.startswith("name="):
                    name = self._HTMLParser.unescape(line[5:].strip())
                if line.startswith("thumb="):
                    thumb = line[6:].strip()
                if line.startswith("URL="):
                    url = line[4:].strip()
            else:
                if name and thumb and url:
                    result.append((name,thumb,url))
                    name = thumb = url = ""
        return result

    def _check_if_in_data_block(self, in_data_block, line):
        result = in_data_block
        if line.startswith("type=video"):
            result = True
        if line.startswith("rating="):
            result = False
        return result
